summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Fernando Lopez Jr <fernando.lopezjr@gmail.com>2017-03-08 23:55:08 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-03-11 07:03:50 +0700
commit563439b4c92a58251dda4e9f784c80d1423ce2ee (patch)
treedc52720046518bde9dc82e3d61a41cc352145f26 /development
parentd221695960b7ef6a0a10e0c5668c5006f211aa2d (diff)
downloadslackbuilds-563439b4c92a58251dda4e9f784c80d1423ce2ee.tar.gz
slackbuilds-563439b4c92a58251dda4e9f784c80d1423ce2ee.tar.xz
development/newlib-headers: Added (C library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/newlib-headers/README7
-rw-r--r--development/newlib-headers/newlib-headers.SlackBuild57
-rw-r--r--development/newlib-headers/newlib-headers.info10
-rw-r--r--development/newlib-headers/slack-desc19
4 files changed, 93 insertions, 0 deletions
diff --git a/development/newlib-headers/README b/development/newlib-headers/README
new file mode 100644
index 0000000000..b132d6f71b
--- /dev/null
+++ b/development/newlib-headers/README
@@ -0,0 +1,7 @@
+Newlib headers is a C library intended for use on embedded systems.
+It is a conglomeration of several library parts, all under free
+software licenses that make them easily usable on embedded products.
+
+Newlib is only available in source form. It can be compiled for a
+wide array of processors, and will usually work on any architecture
+with the addition of a few low-level routines.
diff --git a/development/newlib-headers/newlib-headers.SlackBuild b/development/newlib-headers/newlib-headers.SlackBuild
new file mode 100644
index 0000000000..e2a69c7964
--- /dev/null
+++ b/development/newlib-headers/newlib-headers.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for newlib-headers
+
+# Copyright 2017 Fernando Lopez Jr. <fernando.lopezjr@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=newlib-headers
+VERSION=${VERSION:-2.5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/include/newlib $OUTPUT
+cd $PKG/usr/include/newlib
+tar xvf $CWD/newlib-$VERSION.tar.gz --strip-components=2 newlib-$VERSION/newlib/libc/include
+chown -R root.root $PKG/usr/include/newlib/*
+find $PKG/usr/include/newlib \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/newlib-headers/newlib-headers.info b/development/newlib-headers/newlib-headers.info
new file mode 100644
index 0000000000..bea97ec9c7
--- /dev/null
+++ b/development/newlib-headers/newlib-headers.info
@@ -0,0 +1,10 @@
+PRGNAM="newlib-headers"
+VERSION="2.5.0"
+HOMEPAGE="https://sourceware.org/newlib"
+DOWNLOAD="ftp://sourceware.org/pub/newlib/newlib-2.5.0.tar.gz"
+MD5SUM="767dc60aaf814d091997d91d588968b2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Fernando Lopez Jr."
+EMAIL="fernando.lopezjr@gmail.com"
diff --git a/development/newlib-headers/slack-desc b/development/newlib-headers/slack-desc
new file mode 100644
index 0000000000..93dd7108cf
--- /dev/null
+++ b/development/newlib-headers/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |----handy-ruler------------------------------------------------------|
+newlib-headers: newlib headers (C library)
+newlib-headers:
+newlib-headers: Newlib is a C library intended for use on embedded systems. It is a
+newlib-headers: conglomeration of several library parts, all under free software
+newlib-headers: licenses that make them easily usable on embedded products.
+newlib-headers:
+newlib-headers: Newlib is only available in source form. It can be compiled for a
+newlib-headers: wide array of processors, and will usually work on any architecture
+newlib-headers: with the addition of a few low-level routines.
+newlib-headers:
+newlib-headers: